Duplicate Email Addresses Unsupported Across Accounts
Closed, DeclinedPublic

Description

Accounts support multiple email addresses but do not allow for the same email address to appear on across multiple accounts. Gerrit does support this functionality and it's particularly convenient for contributors that have both WMF and volunteer logins.

Niedzielski updated the task description. (Show Details)
Niedzielski raised the priority of this task from to Needs Triage.
Niedzielski added a project: Phabricator.
Niedzielski added a subscriber: Niedzielski.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2015, 4:04 AM
mmodell added a subscriber: mmodell.May 4 2015, 4:26 AM

Why do you need to maintain separate accounts in phabricator but not separate email addresses?

Quite the opposite, I have separate email addresses and a single phabricator account. I can't seem to figure out what the benefit would be to having a second phabricator account?

Qgil added a subscriber: Qgil.May 4 2015, 8:20 AM

If you need separate logins, it is sensible to expect that you need
separate email addresses as well. This is the case for me and other WMF
employees. What is your specific use case?

I have a WMF email address and volunteer login but I prefer to use my volunteer login whenever possible. It'd be useful to be able to pair the WMF email to my volunteer login but it's already on my WMF login.

Krenair added a comment.EditedMay 5 2015, 10:03 PM

It'd be useful to be able to pair the WMF email to my volunteer login

Why would you want to do that?

I'd like to have Phabricator activity sent to the WMF email account during my employment. If I ever leave the org, I'd like to retain my volunteer account and update my email to point back to my personal email account.

But why? I don't understand why you would want to do that at all.

I consider my WMF email very high priority but my personal email low priority but at the same time don't want to lose flexibility described in my previous comment.

You can tell gmail to forward email and set up mail filters accordingly.

Yep, there are plenty of workarounds. If I'm the only one with this issue, no qualms going that route.

Couldn't you just point a single phabricator account to your wmf email for the duration of your work at the foundation, when that comes to an end, switch phabricator back to your personal email.

I don't know of any policy that would prevent you from keeping your phabricator account after leaving the foundation, though I do assume you would lose your wikimedia.org email, surely it could be arranged to keep your phabricator account in a personal/volunteer capacity.

Niedzielski closed this task as Resolved.May 6 2015, 5:10 PM
Niedzielski claimed this task.

Thanks, I pointed the WMF account to sniedzielski+phabricator@wikimedia.org and removing sniedzielski@wikimedia.org. I was then able to add sniedzielski@wikimedia.org to my volunteer account.

Aklapper changed the task status from Resolved to Declined.May 21 2015, 2:27 PM